package com.philisense.www.service.impl;


import com.philisense.www.dao.ProTablesDAO;
import com.philisense.www.service.ProTablesService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

@Service
public class ProTablesServiceImpl implements ProTablesService {

@Autowired
private ProTablesDAO proTablesDAO;

@Override
public int deleteByPrimaryKey(String id) {
return proTablesDAO.deleteByPrimaryKey(id);
}

@Override
public Map<String, Object> selectByPrimaryKey(String id) {
return proTablesDAO.selectByPrimaryKey(id);
}

@Override
public int insert(Map<String, Object> map) {
return proTablesDAO.insert(map);
}

@Override
public int update(Map<String, Object> map) {
return proTablesDAO.update(map);
}

@Override
public int deleteByMap(Map<String, Object> map) {
return proTablesDAO.deleteByMap(map);
}

@Override
public int updateByMap(Map<String, Object> map) {
return proTablesDAO.updateByMap(map);
}

@Override
public Map<String, Object> getOne(Map<String, Object> map) {
return proTablesDAO.getOne(map);
}

@Override
public List<Map<String, Object>> getAll(Map<String, Object> map) {
return proTablesDAO.getAll(map);
}

@Override
public List<Map<String, Object>> queryPage(Map<String, Object> map) {
return proTablesDAO.queryPage(map);
}

@Override
public int count(Map<String, Object> map) {
return proTablesDAO.count(map);
}

@Override
public void insertBatch(List<Map<String, Object>> list) {
proTablesDAO.insertBatch(list);
}

@Override
public void deleteBatch(List<Map<String, Object>> list) {
proTablesDAO.deleteBatch(list);
}

@Override
public void updateBatch(List<Map<String, Object>> list) {
proTablesDAO.updateBatch(list);
}
}